質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.75%

  • Ruby

    7006questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

in `to_specs': Could not find 'mime-types'と言われて、動かない

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 248

takataka75

score 65

この夏の
value-domainのサーバー(coreserver)更新で
これまで動いていたrubyのプログラムが動かなくなりました。
rubyのバージョンが2.2から2.3へ更新されたので
gem update でgemを更新したのですが、

下記のエラーで動かなくなりました

/usr/local/rvm/rubies/ruby-2.3.0/lib/ruby/site_ruby/2.3.0/rubygems/dependency.rb:310:in `to_specs': Could not find 'mime-types' (~> 2.0) - did find: [mime-types-3.1] (Gem::MissingSpecVersionError)

gemの連携あたりで、バージョンがきちっとあっていないのが原因
と、推測していますが、
スキル不足で
ここから原因特定するのが出来ません。

よろしくお願いいたします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

+1

Could not find 'mime-types' (~> 2.0) - did find: [mime-types-3.1] (Gem::MissingSpecVersionError)

これはあるgemがmime-typesというgemの2.x系を必要としているけど、mime-typesは3.1がインストールされてしまっているというエラーです。(gemのバージョンで~>というのはメジャーやマイナーのバージョンを固定するために使われる記号です)

gem list をするとおそらく mime-typesというgemの3.1がインストールされていると思いますので、一旦それを消して gem install mime-types -v '~> 2.0'とバージョンを指定してインストールすると解決するのではないかと思います。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/10/06 14:30

    ありがとうございます。
    無事動くようになりました。
    解説もわかりやすく、とても勉強になりました。

    ありがとうございました。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.75%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

  • 解決済

    csvへの出力

    実現したいこと 下記のような内容のcsvファイルを出力させたいと思っています。 "name","score1","socore2","average" "A","40","

  • 解決済

    ファイル内文字列検索し、特定の文字列が含まれたファイル名、ファイルパスを取得したい

    ある特定のディレクトリ配下にあるファイル内から特定の文字列が含まれているファイルを検索し、そのファイル名とファイルパスをrubyプログラムで取得いたいのですがどのようにしたら良いか

  • 解決済

    暇つぶしにどうぞ

    概要 $hrtというサイズ11の配列があります。 それぞれの項目には数値が入り $hrt[0] と $hrt[10] は0固定です。 やりたい事は 項目が0と0で囲ま

  • 解決済

    [Ruby on Rails]bundle install でのエラー解決方法

    bundle install でエラー Railsチュートリアルを行っている最中なのですが、 下記エラーが発生し困っております。 解決方法をググって色々探し、試してみたの

  • 解決済

    UbuntuでRubyのライブラリが導入できない

    前提・実現したいこと→Ubuntu14.04でRubyのライブラリを導入したい Ubuntu14.04で Capybara Anemone Poltergeist Nok

  • 解決済

    nokogiriのインストールに関するエラー

    Paperclipというgemで少しテストをしようと思い、 以下のコマンドでrailsでプロジェクトを作成したら $ rails new paperclip_test こ

  • 解決済

    Ruby のバージョンアップについて

    rbenvでrubyのバージョンupをしたのですが、切り替わらない為 rubyのバージョンアップの方法を ご教授頂ければと存じます。 やりたい事 rubyバージョンアップ ru

  • 受付中

    cloud9 アンケートフォーム

    前提・実現したいこと cloud9でアンケートフォームを作っています 発生している問題・エラーメッセージ schema.rbの作成ができない エラーメッセージ == 20170

同じタグがついた質問を見る

  • Ruby

    7006questions

    Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。